Information about balances
The method is available for models: FBS, Express and DBS.
If you are using an API Key token, one of the accesses in the list is required to call the method
- offers-and-cards-management — Manage products and cards
- offers-and-cards-management:read-only — View products and cards
- all-methods — Full account management
- all-methods:read-only — View all data
Returns data on the remaining goods in the cabinet's warehouse.
Метод подходит, только если в кабинете нет групп складов
If there are warehouse groups in the cabinet, use the method POST v2/campaigns/{campaignId}/offers/stocks. What are warehouse groups and why are they needed?.
⚙️ Limit: 500 requests per minute |
|---|
Request
POST
https://api.partner.market.yandex.ru/v3/businesses/{businessId}/offers/stocks
Path parameters
|
Name |
Description |
|
businessId |
Type: integer Cabinet ID. To find out, use the request GET v2/campaigns. ℹ️ What is a cabinet and a store on the Market? Min value: |
Query parameters
|
Name |
Description |
|
limit |
Type: integer The number of values per page. Default: Min value: Max value: |
|
pageToken |
Type: string ID of the results page. If the parameter is omitted, the first page is returned. Pass the value of the output parameter Example: `` |
Body
application/json
{
"partnerWarehouseId": 1,
"archived": true,
"offerIds": [
"example"
]
}
|
Name |
Description |
|
partnerWarehouseId |
Type: integer The warehouse ID. To find out the warehouse ID, use the request POST v3/businesses/{businessId}/warehouses. Min value: |
|
archived |
Type: boolean Filter by location in the archive. Pass it on |
|
offerIds |
Type: string[] | null Filter by your SKU products. Information about the remaining amounts of all transferred funds is returned. SKU, including items in the archive. Такой список возвращается только целиком If you are requesting information on specific SKU, do not fill in:
Min items: Max items: Unique items: Example
|
Responses
200 OK
The remaining goods in the warehouse.
Body
application/json
{
"status": "OK",
"result": {
"partnerWarehouseId": 1,
"offers": [
{
"offerId": "example",
"stocks": [
null
],
"updatedAt": "2025-01-01T00:00:00Z"
}
],
"paging": {
"nextPageToken": "example"
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
offers
Type: object[]
offerId
Type: string
Your SKU — the product ID in your system.
Usage rules SKU:
-
For each product SKU there must be one.
-
Already set SKU it cannot be released and reused for another product. Each product should receive a new identifier that has never been used in your catalog before.
SKU The product can be changed in the seller's account on the Market. Read about how to do this. in the Help of the Market for sellers.
Warning
Spaces at the beginning and end of the value are automatically deleted. For example,
" SKU123 "and"SKU123"they will be treated as identical values.What is SKU and how to assign it
Min length:
1Max length:
255Pattern:
^(?=.*\S.*)[^\x00-\x08\x0A-\x1f\x7f]{1,255}$Example:
examplestocks
Type: object[]
count
Type: integer
The value of the leftovers.
type
Type: string
The type of remaining goods in the warehouse:
-
AVAILABLE(corresponds to the "Available to order" type in the "Stock balances" report in the seller's office on the Market) — an item available for sale. -
DEFECT(corresponds to the "Marriage" type) — a defective product. -
EXPIRED(corresponds to the "Overdue" type) — an expired product. -
FIT(corresponds to the "Fit" type) — An item that is available for sale or has already been reserved. -
FREEZE— the product that is reserved for orders. -
QUARANTINE(corresponds to the "Quarantine" type) — An item that is temporarily unavailable for sale (for example, an item is being moved from one warehouse to another). -
UTILIZATION— the product that will be disposed of.
Enum:
FIT,FREEZE,AVAILABLE,QUARANTINE,UTILIZATION,DEFECT,EXPIREDInformation about balances.
Example
[ { "type": "FIT", "count": 0 } ]updatedAt
Type: string<date-time>
The date and time of the last update of the balance information.
Date and time format: ISO 8601 with an offset relative to UTC. For example,
2023-11-21T00:42:42+03:00.Example:
2025-01-01T00:00:00ZThe product list page.
Example
[ { "offerId": "example", "stocks": [ { "type": "FIT", "count": 0 } ], "updatedAt": "2025-01-01T00:00:00Z" } ]partnerWarehouseId
Type: integer
The warehouse ID.
Min value:
1paging
Type: object
nextPageToken
Type: string
ID of the next results page.
Example:
exampleThe ID of the next page.
Example
{ "nextPageToken": "example" }Information about the remaining goods in the warehouse.
Example
{ "partnerWarehouseId": 1, "offers": [ { "offerId": "example", "stocks": [ { "type": "FIT", "count": 0 } ], "updatedAt": "2025-01-01T00:00:00Z" } ], "paging": { "nextPageToken": "example" } }Example
{ "result": { "partnerWarehouseId": 1, "offers": [ { "offerId": "example", "stocks": [ {} ], "updatedAt": "2025-01-01T00:00:00Z" } ], "paging": { "nextPageToken": "example" } } } -
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
404 Not Found
The requested resource was not found. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of the Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -